NX Open C++ Reference Guide
|
Represents a RPO builder. More...
Public Types | |
enum | AssociativityType { AssociativityTypeEndPoint, AssociativityTypeArcCenter, AssociativityTypeTangency, AssociativityTypeEndPoint1, AssociativityTypeEndPoint2, AssociativityTypeVerticalCenterline1, AssociativityTypeVerticalCenterline2, AssociativityTypeHorizontalCenterline1, AssociativityTypeHorizontalCenterline2 } |
Represents the associativity type for a dimension entity. More... | |
Public Member Functions | |
void | ApplyDimensions () |
Transforms the feature by applying the positioning dimensions Created in NX3.0.0. | |
NXOpen::Features::RPODimension * | CreateDimension () |
Creates a new empty RPODimension object. | |
void | CreatePositioningDimension () |
Creates a positioning dimension. | |
void | GetReferenceDirection (NXOpen::IReferenceAxis **reference, NXOpen::AxisOrientation *orientation) |
Query/Set a horizontal or vertical reference for the feature. | |
std::vector < NXOpen::Features::RPODimension * > | GetRpoDimensions () |
Gets the list of RPO dimemsions. | |
void | HidePositioningDimensions () |
Hides display of all the positioning dimensions Created in NX3.0.0. | |
void | SetExpression (const NXString &expression) |
Sets the expression value in order to constrain the target and tool entities which are set using NXOpen::Features::RPOBuilder::SetTargetAndTool . | |
void | SetExpression (const char *expression) |
Sets the expression value in order to constrain the target and tool entities which are set using NXOpen::Features::RPOBuilder::SetTargetAndTool . | |
void | SetReferenceDirection (NXOpen::IReferenceAxis *reference, NXOpen::AxisOrientation orientation) |
Sets a horizontal or vertical reference for the feature. | |
void | SetRpoDimensions (const std::vector< NXOpen::Features::RPODimension * > &dimensions) |
Sets the list of RPO dimemsions. | |
void | SetTargetAndTool (NXOpen::PositioningDimension::Subtype subtype, NXOpen::NXObject *target, NXOpen::Features::RPOBuilder::AssociativityType targetAssociativity, const NXOpen::Point3d &targetHelpPoint, NXOpen::NXObject *tool, NXOpen::Features::RPOBuilder::AssociativityType toolAssociativity, const NXOpen::Point3d &toolHelpPoint) |
Sets the target and tool entities. | |
void | ShowPositioningDimensions () |
Displays all the positioning dimensions Created in NX3.0.0. | |
void | UndoLastDimension () |
Undo the last positioning dimension Created in NX3.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a RPO builder.
It provides methods to create positioning dimensions to position the feature which is being created.
This is an abstract class, and cannot be instantiated
Created in NX3.0.0.
Represents the associativity type for a dimension entity.
void NXOpen::Features::RPOBuilder::ApplyDimensions | ( | ) |
Transforms the feature by applying the positioning dimensions
Created in NX3.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
NXOpen::Features::RPODimension* NXOpen::Features::RPOBuilder::CreateDimension | ( | ) |
Creates a new empty RPODimension object.
void NXOpen::Features::RPOBuilder::CreatePositioningDimension | ( | ) |
Creates a positioning dimension.
This is third and the last step in creating a positioning dimension.
Created in NX3.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
void NXOpen::Features::RPOBuilder::GetReferenceDirection | ( | NXOpen::IReferenceAxis ** | reference, |
NXOpen::AxisOrientation * | orientation | ||
) |
Query/Set a horizontal or vertical reference for the feature.
A reference is required to be set before creating a Horizontal or Vertical positioning dimension.
Created in NX4.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
reference | Reference entity |
orientation | Orientation of reference |
std::vector<NXOpen::Features::RPODimension *> NXOpen::Features::RPOBuilder::GetRpoDimensions | ( | ) |
Gets the list of RPO dimemsions.
@return The RPO dimensions
Created in NX4.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
void NXOpen::Features::RPOBuilder::HidePositioningDimensions | ( | ) |
Hides display of all the positioning dimensions
Created in NX3.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
void NXOpen::Features::RPOBuilder::SetExpression | ( | const NXString & | expression | ) |
Sets the expression value in order to constrain the target and tool entities which are set using NXOpen::Features::RPOBuilder::SetTargetAndTool .
This is the second step in creating a positioning dimension. This step is not needed for @link PositioningDimension::SubtypePointOntoPoint PositioningDimension::SubtypePointOntoPoint@endlink , @link PositioningDimension::SubtypePointOntoLine PositioningDimension::SubtypePointOntoLine@endlink and @link PositioningDimension::SubtypeLineOntoLine PositioningDimension::SubtypeLineOntoLine@endlink
Created in NX3.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
expression | Expression string |
void NXOpen::Features::RPOBuilder::SetExpression | ( | const char * | expression | ) |
Sets the expression value in order to constrain the target and tool entities which are set using NXOpen::Features::RPOBuilder::SetTargetAndTool .
This is the second step in creating a positioning dimension. This step is not needed for @link PositioningDimension::SubtypePointOntoPoint PositioningDimension::SubtypePointOntoPoint@endlink , @link PositioningDimension::SubtypePointOntoLine PositioningDimension::SubtypePointOntoLine@endlink and @link PositioningDimension::SubtypeLineOntoLine PositioningDimension::SubtypeLineOntoLine@endlink
Created in NX3.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
expression | Expression string |
void NXOpen::Features::RPOBuilder::SetReferenceDirection | ( | NXOpen::IReferenceAxis * | reference, |
NXOpen::AxisOrientation | orientation | ||
) |
Sets a horizontal or vertical reference for the feature.
A reference is required to be set before creating a PositioningDimension::SubtypeHorizontal or PositioningDimension::SubtypeVertical subtype of positioning dimension.
Created in NX3.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
reference | Reference entity |
orientation | Orientation of reference |
void NXOpen::Features::RPOBuilder::SetRpoDimensions | ( | const std::vector< NXOpen::Features::RPODimension * > & | dimensions | ) |
void NXOpen::Features::RPOBuilder::SetTargetAndTool | ( | NXOpen::PositioningDimension::Subtype | subtype, |
NXOpen::NXObject * | target, | ||
NXOpen::Features::RPOBuilder::AssociativityType | targetAssociativity, | ||
const NXOpen::Point3d & | targetHelpPoint, | ||
NXOpen::NXObject * | tool, | ||
NXOpen::Features::RPOBuilder::AssociativityType | toolAssociativity, | ||
const NXOpen::Point3d & | toolHelpPoint | ||
) |
Sets the target and tool entities.
This is the first step in creating a positioning dimension. A positioning dimension constraints two entities. These two entities are referred to as target and tool enitities. The tool entity is selected from the tool body which is being created. For example, if a Pad is being created then the tool entity can be an edge of the Pad. The target entity is an entity which does not belong to the tool body which is being created.
Created in NX3.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
subtype | Subtype of dimension |
target | Target entity |
targetAssociativity | Associativity for target entity |
targetHelpPoint | Help point for taregt entity |
tool | Tool entity |
toolAssociativity | Associativity for tool entity |
toolHelpPoint | Help point for tool entity |
void NXOpen::Features::RPOBuilder::ShowPositioningDimensions | ( | ) |
Displays all the positioning dimensions
Created in NX3.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
void NXOpen::Features::RPOBuilder::UndoLastDimension | ( | ) |
Undo the last positioning dimension
Created in NX3.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")